#!/bin/bash

. tools/functions.sh

IP_SERVER=$(echo $SERVER | cut -d ':' -f1)
PORT_SERVER=$(echo $SERVER | cut -d ':' -f2)

echo "[Firewall configuration...]"

# Block all incoming and outgoing traffic
run_command_chroot ufw default deny incoming
run_command_chroot ufw default deny outgoing
# Allow outgoing traffic to nexus-server API
run_command_chroot ufw allow out from any to $IP_SERVER port $PORT_SERVER proto tcp
# Allow outgoing ntp traffic
run_command_chroot ufw allow out from any to any port 123 proto udp
# Allow outgoing dns traffic
run_command_chroot ufw allow out from any to any port 53 proto udp
# Allow outgoing traffic to nexus VMs (Spice)
run_command_chroot ufw allow out from any to $IP_SERVER port 1025:65535 proto tcp

run_command_chroot ufw enable
